// =========================================================================
//
// scripts.js - scripts to handle functionality of the main web site
//
// =========================================================================
//
// Copyright (C) 2001, 2002 - David Joham (djoham@yahoo.com)
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.

// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.

// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

function changeTab(whichTab) {
    /***********************************************************************************
    function: changeTab()

    author: djoham@yahoo.com

    Description:    sets the selected tab to be the one displayed

    ************************************************************************************/
    clearTabs();
    eval("switchToTab" + whichTab + "()");

} // end function changeTab


function clearTabs() {

    /***********************************************************************************
    function: clearTabs()

    author: djoham@yahoo.com

    Description:    makes all of the tabs display in the "off" position

    ************************************************************************************/

    //it's possible not all tabs will bere. trap for the condition
    try {
        document.getElementById("tab1").src = "./images/tabOff.gif";
        document.getElementById("tab2").src = "./images/tabOff.gif";
        document.getElementById("tab3").src = "./images/tabOff.gif";
        document.getElementById("tab4").src = "./images/tabOff.gif";
        document.getElementById("tab5").src = "./images/tabOff.gif";
    }
    catch (e) {
        //no op
    }
    
} // end function clearTabs


function launch4xDomSample() {
    /***********************************************************************************
    function: launch4xDomSample()

    author: djoham@yahoo.com

    Description:  opens a new window with the 4x sample application

    ************************************************************************************/

    window.open("./../sampleApplications/domSampleApplication4xBrowsers/index.html", "hndl", "location=no,menubar=no,resizable=no,scrollbars=no,status=no,titlebar=no,toolbar=no,width=800,height=500");


} // end function launch4xDomSample

function launchDOMTestSuite() {

    /***********************************************************************************
    function: launchDOMTestSuite()

    author: djoham@yahoo.com

    Description:    opens a new window with the DOM test suite as the
                         active page

    ************************************************************************************/

    window.open("./../testSuites/domTest/domTestSuite.html", "hndl", "location=no,menubar=no,resizable=no,scrollbars=no,status=no,titlebar=no,toolbar=no,width=800,height=500");

} // end function launchDOMTestSuite


function launchModernDomSample() {
    /***********************************************************************************
    function: launchModernDomSample()

    author: djoham@yahoo.com

    Description:    opens a new window with the modern sample application

    ************************************************************************************/

    window.open("./../sampleApplications/domSampleApplicationModernBrowsers/contactManager.html", "hndl", "location=no,menubar=no,resizable=no,scrollbars=no,status=no,titlebar=no,toolbar=no,width=800,height=500");

} // end function launchModernDomSample


function launchProxyTestSuite() {

    /***********************************************************************************
    function: launchProxyTestSuite()

    author: djoham@yahoo.com

    Description:    opens a new window with the proxy test suite as the
                         active page

    ************************************************************************************/

    window.open("./../testSuites/proxyTest/proxyTestSuite.html", "hndl", "location=no,menubar=no,resizable=no,scrollbars=no,status=no,titlebar=no,toolbar=no,width=800,height=500");

} // end function launchDOMTestSuite



function launchSAXSample1() {

    /***********************************************************************************
    function: launchSAXSample1

    author: djoham@yahoo.com

    Description:    opens a new window with the SAX Sample application 1

    ************************************************************************************/

    window.open("./../sampleApplications/saxSampleApplication1/saxSampleApplication1.html", "hndl", "location=no,menubar=no,resizable=no,scrollbars=yes,status=no,titlebar=no,toolbar=no,width=800,height=500");

} // end function launchSAXSample1


function launchSAXTestSuite() {

    /***********************************************************************************
    function: launchSAXTestSuite()

    author: djoham@yahoo.com

    Description:    opens a new window with the SAX test suite as the
                         active page

    ************************************************************************************/

    window.open("./../testSuites/saxTest/saxTestSuite.html", "hndl", "location=no,menubar=no,resizable=no,scrollbars=no,status=no,titlebar=no,toolbar=no,width=800,height=500");

} // end function launchSAXTestSuite


function launchSAXTreeViewSample() {

    /***********************************************************************************
    function: launchSAXTreeViewSample

    author: djoham@yahoo.com

    Description:    opens a new window with the SAX Tree View sample

    ************************************************************************************/

    window.open("./../sampleApplications/saxTreeViewSample/saxTreeViewSample.html", "hndl", "location=no,menubar=no,resizable=no,scrollbars=yes,status=no,titlebar=no,toolbar=no,width=800,height=500");

} // end function launchSAXTreeViewSample



function launchTagPathDomSample() {

    /***********************************************************************************
    function: launchTagPathDomSample

    author: djoham@yahoo.com

    Description:    opens a new window with the TagPath DOM Sample as the
                         active page

    ************************************************************************************/

    window.open("./../sampleApplications/domSampleApplicationTagPath/domTagPathExample.html", "hndl", "location=no,menubar=no,resizable=no,scrollbars=no,status=no,titlebar=no,toolbar=no,width=800,height=500");

} // end function launchTagPathDomSample


function launchXMLEscapeSample() {
    /***********************************************************************************
    function: launchXMLEscapeSample()

    author: djoham@yahoo.com

    Description:    opens a new window with the XMLEscape sample

    ************************************************************************************/

    window.open("./../toolSamples/xmlEscape/xmlEscape.html", "hndl", "location=no,menubar=no,resizable=no,scrollbars=no,status=no,titlebar=no,toolbar=no,width=800,height=500");

} // end function launchXMLEscapeSample



function launchXMLIOCookieSample() {
    /***********************************************************************************
    function: launchXMLIOSample()

    author: djoham@yahoo.com

    Description:    opens a new window with the XMLIO cookie sample application

    ************************************************************************************/

    window.open("./../toolSamples/xmlIOCookies/xmlIOCookies.html", "hndl", "location=no,menubar=no,resizable=no,scrollbars=no,status=no,titlebar=no,toolbar=no,width=800,height=500");

} // end function launchXMLIOSample


function launchXMLIOProxySample() {
    /***********************************************************************************
    function: launchXMLProxySample()

    author: djoham@yahoo.com

    Description:    opens a new window with the XMLIO Proxy sample application

    ************************************************************************************/

    window.open("./../toolSamples/xmlIOProxy/xmlIOProxy.html", "hndl", "location=no,menubar=no,resizable=no,scrollbars=no,status=no,titlebar=no,toolbar=no,width=800,height=500");
        
} // end function launchXMLIOProxySample


function switchToTab1() {
    /***********************************************************************************
    function: switchToTab0()

    author: djoham@yahoo.com

    Description:    makes the first tab be the active tab

    ************************************************************************************/

    //it's possible not all tabs will bere. trap for the condition
    try {
        document.getElementById("tab1").src = "./images/tabOn.gif";
        document.getElementById("tabContent2").style.display = "none";
        document.getElementById("tabContent3").style.display = "none";
        document.getElementById("tabContent4").style.display = "none";
        document.getElementById("tabContent5").style.display = "none";
        document.getElementById("tabContent1").style.display = "none";
        document.getElementById("tabContent1").style.display = "block";
    } 
    catch (e) {
        try {
            document.getElementById("tabContent1").style.display = "none";
            document.getElementById("tabContent1").style.display = "block";
        }
        catch (e1) {
            //no op
        }
    }

} // end function switchToTab0


function switchToTab2() {
    /***********************************************************************************
    function: switchToTab2()

    author: djoham@yahoo.com

    Description:    makes the second tab be the active tab

    ************************************************************************************/
    
    //it's possible not all tabs will bere. trap for the condition
    try {
        document.getElementById("tab2").src = "./images/tabOn.gif";
        document.getElementById("tabContent1").style.display = "none";
        document.getElementById("tabContent3").style.display = "none";
        document.getElementById("tabContent4").style.display = "none";
        document.getElementById("tabContent5").style.display = "none";
        document.getElementById("tabContent2").style.display = "none";
        document.getElementById("tabContent2").style.display = "block";
    }
    catch (e) {
        try {
            document.getElementById("tabContent2").style.display = "none";
            document.getElementById("tabContent2").style.display = "block";
        }
        catch (e1) {
            //no op
        }
    }

} // end function switchToTab2


function switchToTab3() {
    /***********************************************************************************
    function: switchToTab3()

    author: djoham@yahoo.com

    Description:    makes the third tab be the active tab

    ************************************************************************************/

    //it's possible not all tabs will bere. trap for the condition
    try {
        document.getElementById("tab3").src = "./images/tabOn.gif";
        document.getElementById("tabContent1").style.display = "none";
        document.getElementById("tabContent2").style.display = "none";
        document.getElementById("tabContent4").style.display = "none";
        document.getElementById("tabContent5").style.display = "none";
        document.getElementById("tabContent3").style.display = "none";
        document.getElementById("tabContent3").style.display = "block";
    }
    catch (e) {
        try {
            document.getElementById("tabContent3").style.display = "none";
            document.getElementById("tabContent3").style.display = "block";
        }
        catch (e1) {
            //no op
        }
    }

} // end function switchToTab3



function switchToTab4() {
    /***********************************************************************************
    function: switchToTab4()

    author: djoham@yahoo.com

    Description:    makes the fourth tab be the active tab

    ************************************************************************************/

    //it's possible not all tabs will bere. trap for the condition
    try {
        document.getElementById("tab4").src = "./images/tabOn.gif";
        document.getElementById("tabContent1").style.display = "none";
        document.getElementById("tabContent2").style.display = "none";
        document.getElementById("tabContent3").style.display = "none";
        document.getElementById("tabContent5").style.display = "none";
        document.getElementById("tabContent4").style.display = "none";
        document.getElementById("tabContent4").style.display = "block";
    }
    catch (e) {
        try {
            document.getElementById("tabContent4").style.display = "none";
            document.getElementById("tabContent4").style.display = "block";
        }
        catch (e1) {
            //no op
        }
    }

} // end function switchToTab4




function switchToTab5() {
    /***********************************************************************************
    function: switchToTab5()

    author: djoham@yahoo.com

    Description:    makes the fifth tab be the active tab

    ************************************************************************************/

    //it's possible not all tabs will bere. trap for the condition
    try {
        document.getElementById("tab5").src = "./images/tabOn.gif";
        document.getElementById("tabContent1").style.display = "none";
        document.getElementById("tabContent2").style.display = "none";
        document.getElementById("tabContent3").style.display = "none";
        document.getElementById("tabContent4").style.display = "none";
        document.getElementById("tabContent5").style.display = "none";
        document.getElementById("tabContent5").style.display = "block"
    }
    catch (e) {
        try {
            document.getElementById("tabContent5").style.display = "none";
            document.getElementById("tabContent5").style.display = "block";
        }
        catch (e1) {
            //no op
        }
    }

} // end function switchToTab5




